View Issue Details

IDProjectCategoryView StatusLast Update
0003509PartDesignBugpublic2018-09-30 16:15
ReporterxoanAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSArch LinuxOS Version
Product Version0.17 
Target VersionFixed in Version0.18 
Summary0003509: Create MultiTransform Feature from existing Transform Feature forces document migration
DescriptionThere is an option in any single Transform Feature in PartDesign Workbench to create a MultiTransform from it, but doing it using this way forces the document to be migrated when opening the next time.

Already reported and confirmed in the forum:

* https://forum.freecadweb.org/viewtopic.php?f=19&t=29245
Steps To Reproduce[list=1]
[*] Open attached file [i]"template-multitransform-from-mirrored.fcstd"[/i]
[*] Right click in Mirrored → Create MultiTransform
[*] Right click in Transformations → Add mirrored transformation
[*] Select "Horizontal sketch axis" as Plane and click "OK"
[*] Click "OK"
[*] Save file as [i]"multitransform-from-mirrored.fcstd"[/i] and close
[*] Open [i]"multitransform-from-mirrored.fcstd"[/i], activate Body and click in [i]"Create a new sketch"[/i] (or right click in Body to see the Migrate option)
[/list]
Additional InformationOS: Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13522 (Git) AppImage
Build type: None
Branch: releases/FreeCAD-0-17
Hash: 3bb5ff4e70c0c526f2d9dd69b1004155b2f527f2
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: Spanish/Spain (es_ES)
TagsNo tags attached.

Relationships

related to 0003447 closedwmayer False PartDesign migration request 

Activities

xoan

2018-06-13 18:12

reporter  

template-multitransform-from-mirrored.fcstd (16,296 bytes)

Kunda1

2018-06-14 13:03

manager   ~0011433

Confirmed in the forum thread

wmayer

2018-09-30 16:15

administrator   ~0011877

https://github.com/FreeCAD/FreeCAD/commit/caf78bbabface3ba6af61a5a3f833098f2293b1c

Issue History

Date Modified Username Field Change
2018-06-13 18:12 xoan New Issue
2018-06-13 18:12 xoan File Added: template-multitransform-from-mirrored.fcstd
2018-06-14 13:03 Kunda1 Status new => confirmed
2018-06-14 13:03 Kunda1 Note Added: 0011433
2018-09-03 08:16 normandc Relationship added related to 0003447
2018-09-30 16:15 wmayer Assigned To => wmayer
2018-09-30 16:15 wmayer Status confirmed => closed
2018-09-30 16:15 wmayer Resolution open => fixed
2018-09-30 16:15 wmayer Fixed in Version => 0.18
2018-09-30 16:15 wmayer Note Added: 0011877